Disk ARchive: libdar::Ethread_cancel Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libdar::Ethread_cancel Class Reference
API

exception used when the thread libdar is running in is asked to stop More...

`#include <erreurs.hpp>`

Inherits libdar::Egeneric.

Inherited by libdar::Ethread_cancel_with_attr.

## Public Member Functions
| Ethread_cancel (bool now, U_64 x_flag)
| Ethread_cancel (const Ethread_cancel &ref)=default
| Ethread_cancel (Ethread_cancel &&ref)=default
Ethread_cancel & | operator= (const Ethread_cancel &ref)=default
Ethread_cancel & | operator= (Ethread_cancel &&ref)=default
bool | immediate_cancel () const
U_64 | get_flag () const
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump

## Protected Member Functions
virtual std::string | exceptionID () const override

## Private Attributes
bool | immediate
U_64 | flag

## Detailed Description

exception used when the thread libdar is running in is asked to stop

Definition at line 382 of file erreurs.hpp.

## Constructor & Destructor Documentation

## ◆ Ethread_cancel()

libdar::Ethread_cancel::Ethread_cancel | ( | bool | now,
|  | U_64 | x_flag )
| inline

Definition at line 385 of file erreurs.hpp.

## Member Function Documentation

## ◆ exceptionID()

virtual std::string libdar::Ethread_cancel::exceptionID | ( |  | ) | const
| inlineoverrideprotectedvirtual

Implements libdar::Egeneric.

Definition at line 396 of file erreurs.hpp.

## ◆ get_flag()

U_64 libdar::Ethread_cancel::get_flag | ( |  | ) | const
| inline

Definition at line 393 of file erreurs.hpp.

## ◆ immediate_cancel()

bool libdar::Ethread_cancel::immediate_cancel | ( |  | ) | const
| inline

Definition at line 392 of file erreurs.hpp.

## Member Data Documentation

## ◆ flag

U_64 libdar::Ethread_cancel::flag
| private

Definition at line 400 of file erreurs.hpp.

## ◆ immediate

bool libdar::Ethread_cancel::immediate
| private

Definition at line 399 of file erreurs.hpp.

The documentation for this class was generated from the following file:

- erreurs.hpp